#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 RSA
version:              2.4.1
visibility:           public
id:                   RSA-2.4.1-HUcuqigJ4Jc1bGTYME5kiD
key:                  RSA-2.4.1-HUcuqigJ4Jc1bGTYME5kiD
license:              BSD-3-Clause
maintainer:           Adam Wick <awick@galois.com>
author:               Adam Wick <awick@galois.com>
stability:            stable
synopsis:
    Implementation of RSA, using the padding schemes of PKCS#1 v2.1.

description:
    This library implements the RSA encryption and signature
    algorithms for arbitrarily-sized ByteStrings. While the
    implementations work, they are not necessarily the fastest ones
    on the planet. Particularly key generation. The algorithms
    included are based of RFC 3447, or the Public-Key Cryptography
    Standard for RSA, version 2.1 (a.k.a, PKCS#1 v2.1).

category:             Cryptography, Codec
abi:                  b45da5339071cee40e2465f691d8904c
exposed:              True
exposed-modules:
    Codec.Crypto.RSA Codec.Crypto.RSA.Exceptions Codec.Crypto.RSA.Pure

import-dirs:          /usr/lib/ghc-8.10.2/site-local/RSA-2.4.1
library-dirs:         /usr/lib/ghc-8.10.2/site-local/RSA-2.4.1
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/x86_64-linux-ghc-8.10.2/RSA-2.4.1
hs-libraries:         HSRSA-2.4.1-HUcuqigJ4Jc1bGTYME5kiD
depends:
    SHA-1.6.4.4-E6Jj9ikGKEM9Q5vfpEwBdT base-4.14.1.0 binary-0.8.8.0
    bytestring-0.10.10.0 crypto-api-0.13.3-3crMriq1Cru2GHNhVUzp6Y
    crypto-pubkey-types-0.4.3-FNxENxsoBcFAtAp6G9iYtw

haddock-interfaces:   /usr/share/doc/haskell-rsa/html/RSA.haddock
haddock-html:         /usr/share/doc/haskell-rsa/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

